/**
 * Copyright (c) 2022 雷掣 All rights reserved.
 *
 * https://www.lc_crm.com
 *
 * 版权所有，侵权必究！
 */

package io.renren.service;

import io.renren.common.service.BaseService;
import io.renren.dto.LoginQuickDTO;
import io.renren.entity.UserEntity;
import io.renren.dto.LoginDTO;

import java.util.Map;

/**
 * 用户
 * 
 * @author Mark sunlightcs@gmail.com
 */
public interface UserService extends BaseService<UserEntity> {

	UserEntity getByMobile(String mobile);

	UserEntity getUserByUserId(Long userId);

	/**
	 * 用户登录（密码）
	 * @param dto    登录表单
	 * @return        返回登录信息
	 */
	Map<String, Object> login(LoginDTO dto);

	/**
	 * 用户登录（手机验证码）
	 * @param dto    登录表单
	 * @return        返回登录信息
	 */
	Map<String, Object> loginQuick(LoginQuickDTO dto);

    Boolean getverificationCode(String mobile);
}
